OpenNMS API 1.2.9

## org.opennms.core.utils
Class BundleLists

    java.lang.Object
      org.opennms.core.utils.BundleLists

public class BundleLists
extends java.lang.Object

Contains utility functions for handling with bundle lists, that is, a comma-delimited list of strings that are contained as one line in a Java properties file. This class contains methods to parse and create these bundle lists.

Author:
  Lawrence Karnowski , OpenNMS

Constructor Summary
`BundleLists()`

Method Summary
`static java.lang.String` `createBundleList(java.lang.Object[] objArray)` Parses a Object array and puts them into a array of substrings, using a comma as a delimiter
`static java.lang.String` `createBundleList(java.lang.Object[] objArray, java.lang.String delimiter)` Parses a Object array and puts them into a array of substrings, using a comma as a delimiter
`static java.lang.String[]` `parseBundleList(java.lang.String list)` Parses a string into an array of substrings, using a comma as a delimiter and trimming whitespace.
`static java.lang.String[]` `parseBundleList(java.lang.String list, java.lang.String delimiter)` Parses a string into an array of substrings, using the specified delimeter and trimming whitespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleLists

    public BundleLists()

Method Detail

### parseBundleList

    public static java.lang.String[] parseBundleList(java.lang.String list)

  Parses a string into an array of substrings, using a comma as a delimiter and trimming whitespace.

  Parameters:
    `list` - The list formatted as a `delimeter` -delimited string.
  Returns:
    The list formatted as an array of strings.

### parseBundleList

    public static java.lang.String[] parseBundleList(java.lang.String list,
                                                     java.lang.String delimiter)

  Parses a string into an array of substrings, using the specified delimeter and trimming whitespace.

  Parameters:
    `list` - The list formatted as a `delimeter` -delimited string.
    `delimiter` - The delimeter.
  Returns:
    The list formatted as an array of strings.

### createBundleList

    public static java.lang.String createBundleList(java.lang.Object[] objArray)

  Parses a Object array and puts them into a array of substrings, using a comma as a delimiter

  Parameters:
    `objArray` - The object array to be formatted as a comma-delimited string.
  Returns:
    The comma-delimited string.

### createBundleList

    public static java.lang.String createBundleList(java.lang.Object[] objArray,
                                                    java.lang.String delimiter)

  Parses a Object array and puts them into a array of substrings, using a comma as a delimiter

  Parameters:
    `objArray` - The object array to be formatted as a comma-delimited string.
  Returns:
    The comma-delimited string.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.